# Method: applications.deviceTierConfigs.create

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/create#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/create#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/create#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs/create#try-it)

Creates a new device tier config for an app.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/deviceTierConfigs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |

### Query parameters

| Parameters ||
|---|---|
| `allowUnknownDevices` | `boolean` Whether the service should accept device IDs that are unknown to Play's device catalog. |

### Request body

The request body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs#DeviceTierConfig`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/applications.deviceTierConfigs#DeviceTierConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`